/*______________________________________________________________________________
 * 
 * org.eidola.kernel.CompileAbortedException
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2000-2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.kernel;

/**
	Signals that a compilation of a container was aborted, because the container was
	modified during the compile.  Thrown by {@link Container#compile()}.
	@see Compiler
	
	@author Paul Cantrell
	@version [Development version]
*/

public class CompileAbortedException
	extends Exception
	{
	public CompileAbortedException(Container container, long compilingVersion)
		{
		super(container + " modified while compiling " + compilingVersion);
		this.container = container;
		this.compilingVersion = compilingVersion;
		}
	
	public Container getContainer()
		{ return container; }
	
	public long getCompilingVersion()
		{ return compilingVersion; }
	
	private Container container;
	private long compilingVersion;
	}