/*______________________________________________________________________________
 * 
 * org.eidola.kernel.ContainerPart
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.kernel;

/**
	Identifies a paritcular part of an element.
	Element and its subclasses define instances (e.g. {@link Element#OWNER}).
	
	@see org.eidola.kernel.event.StructureChanged
	
	@author Paul Cantrell
	@version [Development version]
*/

public final class ContainerPart
	extends org.eidola.util.EnumeratedType
	{
	/**	Creates a new identifier for part of an element.
	 *  This constructor is public, although it should really only be called
	 *  from Element and its subclasses.
	 *	@param The name of the element part. */
	
	public ContainerPart(String name)
		{ super(name); }
	}

