/*______________________________________________________________________________
 * 
 * org.eidola.kernel.error.CyclicMembership
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2000-2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.kernel.error;

import org.eidola.kernel.*;

/**
	The chain of members is cyclic, resulting in a class being a member of itself.
	Whether or not this is legal is an important
	<a href="http://eidola.org/semantics/questions/memberofancestor.html">open question</a>.
	
	@author Paul Cantrell
	@version [Development version]
*/

public class CyclicMembership
	extends SemanticViolation
	{
	public CyclicMembership(Element culprit, String s)
		{ super(culprit, s); }
	}