/*______________________________________________________________________________
 * 
 * org.eidola.kernel.event.EventListener
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2000-2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.kernel.event;

/**
	An interface for receiving events from a broadcaster.
	A listener will receive a call to {@link #handleEvent(Event)} for
	each event from each {@link EventBroadcaster} with which it is registered.
	
	@see Event
	@see EventBroadcaster
	@see EventQueue
	
	@author Paul Cantrell
	@version [Development version]
*/

public interface EventListener
	{
	/** Handles an event.  Implementations typically filter for specific
	 *  subclasses of {@link Event}.
	 *  @param event The event to handle. */
	
	public void handleEvent(Event event);
	}