/*______________________________________________________________________________
 * 
 * org.eidola.test.Test
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2000 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.test;

import org.eidola.kernel.*;
import org.eidola.kernel.Class;
import org.eidola.kernel.Package;
import org.eidola.kernel.Function;
import org.eidola.kernel.Variable;
import org.eidola.kernel.event.*;
import org.eidola.util.*;

import java.util.Iterator;
import java.lang.reflect.Method;

/**
	A very simple test of basic kernel features.
	
	@author Paul Cantrell
	@version [Development version]
*/

public class Test
	extends Thread
	implements EventListener
	{
	static public void main(String[] args)
		throws Exception
		{
		(new Test()).test();
		}
	
	public void test()
		throws Exception
		{
		EventQueue q = new EventQueue("");
		ThreadFlock qflock = new ThreadFlock(q, 4);
		qflock.setPriority(Thread.NORM_PRIORITY-2);
		qflock.start();
		
		Package root = new Package();
		synchronized(root)
			{
			root.addListener(this, q);
			root.setName("root");
			}
		
		Class fred = new Class();
		synchronized(fred)
			{
			fred.addListener(this, q);
			fred.setName("fred");
			fred.setOwner(root);
			}
		
		Class harry = new Class();
		synchronized(harry)
			{
			harry.addListener(this, q);
			harry.setName("harry");
			harry.setOwner(fred);
			harry.setOwner(root);
			harry.addParent(fred);
			}
		
		Variable carl = new Variable();
		synchronized(carl)
			{
			carl.addListener(this, q);
			carl.setName("carl");
			carl.setOwner(fred);
			}
		
		Variable fred2 = new Variable();
		synchronized(fred2)
			{
			fred2.addListener(this, q);
			fred2.setName("fred");
			fred2.setOwner(root);
			}
		
		Function funk = new Function();
		synchronized(funk)
			{
			funk.addListener(this, q);
			funk.setName("funk");
			funk.setOwner(harry);
			}
		synchronized(harry)
			{
			harry.addMember(funk, true);
			harry.addMember(funk, false);
			}
		
		synchronized(root)
			{
			root.addMember(carl, true);
			root.addMember(fred2, false);
			root.addMember(fred, true);
			root.addMember(harry, true);
			root.addMember(funk, false);
			}
		
			Variable x = new Variable();
			synchronized(x)
				{
				x.addListener(this, q);
				x.setName("x");
				x.setOwner(funk);
				}
			
			Variable y = new Variable();
			synchronized(y)
				{
				y.addListener(this, q);
				y.setName("y");
				y.setOwner(funk);
				}
			
			Variable j = new Variable();
			synchronized(j)
				{
				j.addListener(this, q);
				j.setName("x");
				j.setOwner(funk);
				}
			
			synchronized(funk)
				{
				funk.addInput(x);
				funk.addInput(y);
				funk.addOutput(j);
				}
		
		while(!q.isEmpty());
		root.dump(0);
		}
	
	public void handleEvent(Event event)
		{
		System.out.println("Got event: " + event);
		}
	}


