/*______________________________________________________________________________
 * 
 * org.eidola.util.Util
 * 
 * Part of the Eidola Kernel Reference Implementation
 * See http://eidola.org for oodles of relevant fun!
 * 
 *______________________________________________________________________________
 * 
 * Copyright 2000-2001 Paul Cantrell
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2, as published by the
 * Free Software Foundation. See the file LICENSE.html for more information.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, including the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc. / 59 Temple
 * Place, Suite 330 / Boston, MA 02111-1307 / USA.
 *_______________________________________________________________________________
 */

package org.eidola.util;

import java.util.*;

/**
	Miscellaneous static utility methods.
	
	@author Paul Cantrell
	@version [Development version]
*/

public abstract class Util
	{
	/** Prints <i>i</i> spaces to System.out.  Useful for debug dumps of hierarchical stuff. */
	
	static public void indent(int i)
		{
		for(; i > 0; i--)
			System.out.print(' ');
		}
	
	/** Gives a string containing the items of a collection, in the order returned by
	 *  iterator(), with a separator string between items. */
	
	static public String collectionToString(Collection c, String separator)
		{
		String str = "";
		for(Iterator i = c.iterator(); i.hasNext(); )
			{
			if(str.length() > 0)
				str += separator;
			str += (i.next()).toString();
			}
		return str;
		}
	
	private Util() { } // To prevent instantiation
	}




